import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import javax.swing.JOptionPane;

/**
 * Demonstrates use of JOptionPane dialogs.
 *
 * @author Ed Parrish
 * @version 1.0  8/06/2011
 */
public class Telephone extends Actor
{
    private String inputStr;
    private int buttonNbr;
    private GreenfootSound ring;
    private Label phoneMsg;

    /**
     * Show a dialog when the user clicks this Actor.
     */
    public void act()
    {
        if (Greenfoot.mousePressed(this)) {
            ring.stop(); // sound is not blocked
            makeDialog();
            displayDialog(); // dialogs are modal
        }
        if (ring == null)
        {
            ring = new GreenfootSound("phone.wav");
            ring.playLoop();
        }
    }
    
    /**
     * Hold a dialog with the user.
     */
    public void makeDialog()
    {
        inputStr = JOptionPane.showInputDialog(
            "Hello, who is this?");
        buttonNbr = JOptionPane.showConfirmDialog(
            null, "Are you sure?");
        String msg = "First name: " + inputStr
             + "\nButton number: " + buttonNbr
             + "\nPress OK or Enter key to exit.";
        JOptionPane.showMessageDialog(null, msg);
    }

    /**
     * Display the results of the dialog.
     */
    public void displayDialog()
    {
        World w = getWorld();
        if (phoneMsg != null)
        {
            w.removeObject(phoneMsg);
        }
        String msg = inputStr + " phone home";
        phoneMsg = new Label(msg, 24);
        int x = w.getWidth() / 2;
        int y = w.getHeight() / 2 + 50;
        w.addObject(phoneMsg, x, y);
    }
}
